---

- include_tasks: user.yml
  tags: always

- include_tasks: directories.yml
  tags: always

- include_tasks: facts.yml
  tags: always

- include_tasks: archive_pre.yml
  when: mailman_install_mode | default('none') == 'upgrade'
  tags: always

- include_tasks: install.yml
  tags: always

- include_tasks: conf.yml
  tags: always

- include_tasks: iptables.yml
  when: iptables_manage | default(True)
  tags: always

- include_tasks: archive_post.yml
  when: mailman_install_mode | default('none') == 'upgrade'
  tags: always

- include_tasks: selinux.yml
  when: ansible_selinux.status == 'enabled'
  tags: always

- include_tasks: services.yml
  tags: always

- include_tasks: write_version.yml
  tags: always

- include_tasks: cleanup.yml
  tags: always
